#
# spec file for package go-sendxmpp
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           go-sendxmpp
Version:        0.6.1
Release:        bp156.1.14
Summary:        A little tool to send messages to an XMPP contact or MUC
License:        BSD-2-Clause
Group:          Productivity/Networking/Instant Messenger
URL:            https://salsa.debian.org/mdosch/go-sendxmpp
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging

%description
A little tool to send messages to an XMPP contact or MUC.

%prep
%setup -q -a1

%build
go build \
   -mod=vendor \
   -buildmode=pie

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_mandir}/man1
install -D -m0644 man/%{name}.1 %{buildroot}%{_mandir}/man1

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Wed Jul 26 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.6.1:
  * Properly close connection to server.
* Sun Jul  2 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.6.0:
  Added:
  * Add support for sending Out of Band Data (OOB).
  * Add SCRAM-SHA-1, SCRAM-SHA-256 and SCRAM-SHA512 support (via go-xmpp commit bef3e54).
  * Add support for messages of type headline.
  Changed:
  * Print --help output to stdout instead of stderr.
  * Print sent stanzas when --debug is used (via go-xmpp commit 9129a110df1b).
  * Allow JIDs without localpart.
  * Use single quotes for attributes in stanzas created by github.com/beevik/etree (vial etree v1.1.4).
  * Fix SRV lookup when the domain has a CNAME (via xmppsrv v0.2.5).
  * Fall back to directTLS on port 5223 (instead of StartTLS on port 5222)
    if no SRV records are provided and -t is set.
  * Remove trailing newlines in interactive mode.
* Sun Nov 13 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.5.6:
  Added:
  * Add short option -h for http-upload.
  Changed:
  * Fix Ox key generation.
* Tue Oct 18 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.5.5:
  * Improve interactive mode.
* Fri Sep 30 2022 mvetter@suse.com
- Update to version 0.5.4:
  * Fix http-upload.
* Thu Sep 29 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.5.3:
  * Don't check for empty message when --listen is used.
* Thu Sep 29 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.5.2:
  Added:
  * Reply to disco#info queries.
  * Send service-unavailable errors for all other IQs of type get and set.
  * New config option and command line flag alias to uncouple MUC
    nickname/alias from resource.
  Changed:
  * Ox: Improve error messages for failed key requests.
  * Ox: Do not encrypt empty messages.
  * Check for empty messages.
  * Always look up CNAME before doing SRV lookups (via xmppsrv v0.2.3).
  * Detect CNAME loops (max. 5 CNAMEs) (via xmppsrv >= v0.2.4).
  * Deprecate resource config option and command line flag.
  * Improve error handling in XML parsing.
  * Don't connect to the XMPP server if the message is empty.
* Thu Aug  4 2022 Michael Vetter <mvetter@suse.com>
- Initial package of go-sendxmpp 0.5.1 for openSUSE
